GET /api/v3/energyproject/energyprojecttype

Get all the energy project types

GetEnergyProjectTypesV3 Permissions: BuildingsAndOrganizations (View)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

Array of:

EnergyProjectType
Property Description Type
energyProjectTypeCode The energy project type code string
energyProjectTypeId The energy project type identifier integer (int32)
energyProjectTypeInfo The energy project type info string
Example Response application/json
[
  {    "energyProjectTypeCode": "string",    "energyProjectTypeId": 1,    "energyProjectTypeInfo": "string"
  }
]